<?php
/*!! Structure.Actions.Anchor, Function.WikiPages:
  *  .
  * : ""{{Anchor href="ToC1" [text=""] [title=""]}}""
  * :  ##href##    .
*/
  // Param name
  if($vars[0]) {

    $href = $vars[0];

    $text = '';
    if($vars['text']) {
      if(strpos($vars['text'], "~") !== false) {
        $vars['text'] = str_replace("~", $href, $vars['text']);
      }
      $text = htmlXspecialchars($vars['text']);
    }

    $title = '';
    if($vars['title']) {
      $title = htmlXspecialchars($vars['title']);
    }

    $href = htmlXspecialchars($href);
    echo "<a name=\"$href\" href=\"#$href\" title=\"$title\">$text</a>\n";
  }
?>